Subject: bug#57082: 29.0.50; emacs-news-view-mode breakage

From: Stephen Berman <[email-masked]>
Date: Wed, 10 Aug 2022 09:55:36 +0200

On Tue, 9 Aug 2022 17:03:25 -0700 Jim Porter <[email-masked]> wrote:

> On 8/9/2022 1:18 PM, Stephen Berman wrote:
>> On Tue, 09 Aug 2022 22:18:21 +0300 Juri Linkov <[email-masked]> wrote:
>>
>>> I noticed more problems: arrow directions are inverted - when an outline
>>> is hidden the arrow direction is open; when it's shown then the button has
>>> the closed state.
>> The arrows behave the same as in *Help* with describe-bindings:
>> outline-close (downward-pointing) when the body is hidden, outline-open
>> (leftward-pointing) when the body is shown.  Is that wrong?
    ^^^^
    right (oops)

> I think that's wrong, yes. Every GUI I'm familiar with does it the other way:
>
>   > Closed Item
>   v Open Item
>     > Closed Sub Item
>
> This is the visual style used in GNOME (at least, the theme I'm using), MS
> Windows, macOS, Firefox/Thunderbird, and probably others. More importantly,
> it's also the style Emacs already uses elsewhere: see the Customize UI.

Ah, of course, I didn't even think to look there (oops again).

diff --git a/lisp/outline.el b/lisp/outline.el
index 7750f9a75d..8132043097 100644
--- a/lisp/outline.el
+++ b/lisp/outline.el
@@ -294,16 +294,16 @@ outline-minor-mode-use-buttons
   :version "29.1")
 
 (define-icon outline-open button
-  '((emoji "▶️")
-    (symbol " ⯈ ")
+  '((emoji "🔽")
+    (symbol " ⯆ ")
     (text " open "))
   "Icon used for buttons for opening a section in outline buffers."
   :version "29.1"
   :help-echo "Open this section")
 
 (define-icon outline-close button
-  '((emoji "🔽")
-    (symbol " ⯆ ")
+  '((emoji "▶️")
+    (symbol " ⯈ ")
     (text " close "))
   "Icon used for buttons for closing a section in outline buffers."
   :version "29.1"

Steve Berman